MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0024574Open CASCADE[OCCT] OCCT:Codingpublic2014-01-24 19:192018-06-29 21:19
Reporterabv 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformWindows ICC 14 x64OSOS Version
Product Version[OCCT] 6.7.1 
Target Version[OCCT] 7.3.0Fixed in Version[OCCT] 7.3.0 
Summary0024574: ICC compiler warnings on Windows
DescriptionICC compiler produces many compiler warnings on OCCT code. Some of them are hard or not worth fixing (1786, 1125, 327, 1879). If these are disabled, 127 warnings remain, listed below.
Steps To ReproduceWarning 66 warning # 810: conversion from "void *" to "long" may lose significant bits D:\ABV\OCCT\occt\src\Draw\Draw_ProgressIndicator.cxx 120 TKDraw
Warning 67 warning # 810: conversion from "void *" to "long" may lose significant bits D:\ABV\OCCT\occt\src\Draw\Draw_ProgressIndicator.cxx 149 TKDraw
Warning 14 warning # 810: conversion from "void *" to "DWORD={unsigned long}" may lose significant bits D:\ABV\OCCT\occt\src\OSD\OSD_Thread.cxx 140 TKernel
Warning 2 warning # 810: conversion from "Standard_PCharacter={Standard_Character={char} *}" to "DWORD={unsigned long}" may lose significant bits D:\ABV\OCCT\occt\src\OSD\OSD_File.cxx 2018 TKernel
Warning 3 warning # 810: conversion from "Standard_PCharacter={Standard_Character={char} *}" to "DWORD={unsigned long}" may lose significant bits D:\ABV\OCCT\occt\src\OSD\OSD_File.cxx 2031 TKernel
Warning 4 warning # 810: conversion from "Standard_PCharacter={Standard_Character={char} *}" to "DWORD={unsigned long}" may lose significant bits D:\ABV\OCCT\occt\src\OSD\OSD_File.cxx 2052 TKernel
Warning 1 warning # 810: conversion from "Standard_Address" to "Standard_Integer={int}" may lose significant bits D:\ABV\OCCT\occt\src\OSD\OSD_EnvironmentIterator.cxx 100 TKernel
Warning 69 warning # 810: conversion from "Standard_Address" to "long" may lose significant bits D:\ABV\OCCT\occt\src\Draw\Draw_VariableCommands.cxx 870 TKDraw
Warning 5 warning # 810: conversion from "PSID" to "Standard_Integer={int}" may lose significant bits D:\ABV\OCCT\occt\src\OSD\OSD_FileNode.cxx 858 TKernel
Warning 10 warning # 810: conversion from "PSID" to "Standard_Integer={int}" may lose significant bits D:\ABV\OCCT\occt\src\OSD\OSD_Process.cxx 311 TKernel
Warning 6 warning # 810: conversion from "PGROUP_SID" to "Standard_Integer={int}" may lose significant bits D:\ABV\OCCT\occt\src\OSD\OSD_FileNode.cxx 891 TKernel
Warning 15 warning # 810: conversion from "LPVOID" to "DWORD={unsigned long}" may lose significant bits D:\ABV\OCCT\occt\src\OSD\OSD_WNT.cxx 914 TKernel
Warning 16 warning # 810: conversion from "LPSTR={CHAR={char} *}" to "int" may lose significant bits D:\ABV\OCCT\occt\src\OSD\OSD_signal_WNT.cxx 72 TKernel
Warning 70 warning # 810: conversion from "HWND" to "unsigned long" may lose significant bits D:\ABV\OCCT\occt\src\Draw\Draw_Viewer.cxx 1065 TKDraw
Warning 12 warning # 810: conversion from "HANDLE" to "Standard_Integer={int}" may lose significant bits D:\ABV\OCCT\occt\src\OSD\OSD_SharedMemory.cxx 225 TKernel
Warning 13 warning # 810: conversion from "HANDLE" to "Standard_Integer={int}" may lose significant bits D:\ABV\OCCT\occt\src\OSD\OSD_SharedMemory.cxx 262 TKernel
Warning 11 warning # 810: conversion from "const Units_Token *" to "long" may lose significant bits D:\ABV\OCCT\occt\src\Units\Units_Token.cxx 393 TKernel
Warning 88 warning # 810: conversion from "const tf_value" to "long" may lose significant bits D:\ABV\OCCT\occt\src\TestTopOpeTools\TestTopOpeTools_Trace.cxx 156 TKTopTest
Warning 89 warning # 810: conversion from "const tf_value" to "long" may lose significant bits D:\ABV\OCCT\occt\src\TestTopOpeTools\TestTopOpeTools_Trace.cxx 181 TKTopTest
Warning 18 warning # 810: conversion from "const TDF_LabelNodePtr" to "long" may lose significant bits D:\ABV\OCCT\occt\inc\TDF_LabelMapHasher.lxx 34 TKLCAF
(repetitions removed)
Warning 51 warning # 810: conversion from "const Aspect_Handle" to "LONG={long}" may lose significant bits D:\ABV\OCCT\occt\src\WNT\WNT_Window.cxx 164 TKService
Warning 68 warning # 810: conversion from "ClientData" to "long" may lose significant bits D:\ABV\OCCT\occt\src\Draw\Draw_VariableCommands.cxx 752 TKDraw
Warning 52 warning # 280: selector expression is constant D:\ABV\OCCT\occt\inc\NCollection_UtfIterator.hxx 65 TKService
Warning 53 warning # 280: selector expression is constant D:\ABV\OCCT\occt\inc\NCollection_UtfIterator.hxx 65 TKService
Warning 54 warning # 280: selector expression is constant D:\ABV\OCCT\occt\inc\NCollection_UtfString.lxx 243 TKService
Warning 55 warning # 280: selector expression is constant D:\ABV\OCCT\occt\inc\NCollection_UtfString.lxx 30 TKService
Warning 56 warning # 280: selector expression is constant D:\ABV\OCCT\occt\inc\NCollection_UtfIterator.lxx 329 TKService
(repetitions removed)
Warning 8 warning # 2557: comparison between signed and unsigned operands D:\ABV\OCCT\occt\src\OSD\OSD_MAllocHook.cxx 501 TKernel
Warning 9 warning # 2557: comparison between signed and unsigned operands D:\ABV\OCCT\occt\src\OSD\OSD_MAllocHook.cxx 532 TKernel
Warning 80 warning # 2557: comparison between signed and unsigned operands D:\ABV\OCCT\occt\src\NIS\NIS_Triangulated.cxx 776 TKNIS
Warning 81 warning # 2557: comparison between signed and unsigned operands D:\ABV\OCCT\occt\src\NIS\NIS_Triangulated.cxx 1077 TKNIS
Warning 71 warning # 2552: nonstandard number of parameters for "main", expected zero or two parameters D:\ABV\OCCT\occt\src\DRAWEXE\DRAWEXE.cxx 33 DRAWEXE
Warning 17 warning # 2545: empty dependent statement in "else" clause of if-statement D:\ABV\OCCT\occt\src\LDOM\LDOM_NodeList.cxx 23 TKCDF
Warning 82 warning # 2407: the initialization of member "OpenGl_TextureFormat::myInternal" will be done before that of member "OpenGl_TextureFormat::myChannels" D:\ABV\OCCT\occt\inc\OpenGl_Texture.hxx 141 TKOpenGl
(repetitions removed)
Warning 127 warning # 239: floating point underflow D:\ABV\OCCT\occt\src\QABugs\QABugs_11.cxx 2514 TKQADraw
Warning 50 warning # 181: argument of type "void *" is incompatible with format "%10lu", expecting argument of type "unsigned long" D:\ABV\OCCT\occt\src\IntPatch\IntPatch_Point.cxx 165 TKGeomAlgo
Warning 34 warning # 180: argument is incompatible with formal parameter D:\ABV\OCCT\occt\adm\msvc\vc10\bison.simple TKAdvTools
Warning 35 warning # 180: argument is incompatible with formal parameter D:\ABV\OCCT\occt\adm\msvc\vc10\bison.simple TKAdvTools
Warning 63 warning # 180: argument is incompatible with formal parameter D:\ABV\OCCT\occt\adm\msvc\vc10\bison.simple TKXSBase
Warning 64 warning # 180: argument is incompatible with formal parameter D:\ABV\OCCT\occt\adm\msvc\vc10\bison.simple TKXSBase
Warning 58 warning # 177: variable "ap2" was declared but never referenced D:\ABV\OCCT\occt\src\V3d\V3d_View.cxx 1606 TKV3d
Warning 57 warning # 177: variable "ap1" was declared but never referenced D:\ABV\OCCT\occt\src\V3d\V3d_View.cxx 1605 TKV3d
Warning 37 warning # 177: function "yyunput" was declared but never referenced D:\ABV\OCCT\occt\drv\ExprIntrp\lex.ExprIntrp.c 2758 TKAdvTools
Warning 62 warning # 177: function "yyunput" was declared but never referenced D:\ABV\OCCT\occt\drv\StepFile\lex.step.c 1295 TKXSBase
Warning 60 warning # 177: function "yy_flex_realloc" was declared but never referenced D:\ABV\OCCT\occt\drv\StepFile\lex.step.c 1800 TKXSBase
Warning 61 warning # 177: function "yy_fatal_error" was declared but never referenced D:\ABV\OCCT\occt\drv\StepFile\lex.step.c 1726 TKXSBase
Warning 36 warning # 1736: dllexport/dllimport conflict with "isatty" (declared at line 308 of "C:\Program Files (x86)\Microsoft Visual Studio 10.0\VC\include\io.h"); dllimport/dllexport dropped D:\ABV\OCCT\occt\drv\ExprIntrp\lex.ExprIntrp.c 2978 TKAdvTools
Warning 59 warning # 1736: dllexport/dllimport conflict with "isatty" (declared at line 308 of "C:\Program Files (x86)\Microsoft Visual Studio 10.0\VC\include\io.h"); dllimport/dllexport dropped D:\ABV\OCCT\occt\drv\StepFile\lex.step.c 1515 TKXSBase
Warning 7 warning # 1595: non-POD (Plain Old Data) class type passed through ellipsis D:\ABV\OCCT\occt\src\OSD\OSD_FileNode.cxx 945 TKernel
Warning 114 warning # 1478: function "clCreateImage2D" (declared at line 1170 of "G:/occt-3rdparty/occt670products/opencl-icd-1.2.11.0-32/include/CL/cl.h") was declared deprecated D:\ABV\OCCT\occt\src\OpenGl\OpenGl_Workspace_Raytrace.cxx 104 TKOpenGl
Warning 115 warning # 1478: function "clCreateFromGLTexture2D" (declared at line 109 of "G:/occt-3rdparty/occt670products/opencl-icd-1.2.11.0-32/include/CL/cl_gl.h") was declared deprecated D:\ABV\OCCT\occt\src\OpenGl\OpenGl_Workspace_Raytrace.cxx 1377 TKOpenGl
Warning 116 warning # 1478: function "clCreateFromGLTexture2D" (declared at line 109 of "G:/occt-3rdparty/occt670products/opencl-icd-1.2.11.0-32/include/CL/cl_gl.h") was declared deprecated D:\ABV\OCCT\occt\src\OpenGl\OpenGl_Workspace_Raytrace.cxx 1388 TKOpenGl
Warning 65 warning # 111: statement is unreachable d:\abv\occt\occt\src\stepfile\step.yacc 71 TKXSBase
TagsNo tags attached.
Test case numberNot required
Attached Files

- Relationships
related to 0024546closedabv Open CASCADE GCC compiler warnings in OpenGl 
related to 0026585closedbugmaster Open CASCADE Eliminate compile warnings obtained by building occt with vc14: 'type cast' pointer truncation and 'type cast' truncation 
related to 0026581closedbugmaster Open CASCADE Eliminate compile warnings obtained by building occt with vc14: 'type cast' conversion 
related to 0026171assignedkgv Open CASCADE Coding rules - eliminate -Wshorten-64-to-32 CLang warnings 
parent of 0024588closedapn Open CASCADE Fix some ICC warning fixes 

-  Notes
(0046112)
abv (manager)
2015-09-25 00:25

Roman, please re-check the status of this issue after 0026581 and 0026585 are fixed
(0047351)
git (administrator)
2015-10-22 18:41

Branch CR24574 has been created by rkv.

SHA-1: 08f67c6d8d74cd73c1b29f05cfd79538b7f6977c


Detailed log of new commits:

Author: rkv
Date: Thu Oct 22 18:29:52 2015 +0300

    24574: ICC compiler warnings on Windows
    
    Warnings are eliminated except 1786, 1125, 327, 1879.
(0047359)
kgv (developer)
2015-10-23 09:02

24574: ICC compiler warnings on Windows CR24574

Warnings are eliminated except 1786, 1125, 327, 1879.

commit description is meaningless.
(0071654)
git (administrator)
2017-10-19 19:57

Branch CR24574_1 has been created by abv.

SHA-1: c2a8e8abbd52b8d4414cddad5a2a6c21a3b85490


Detailed log of new commits:

Author: abv
Date: Thu Oct 19 17:12:05 2017 +0300

    0024574: ICC compiler warnings on Windows
    
    NCollection_UtfString and NCollection_UtfIterator classes are refactored to use template specialization instead of switch to dispatch implementation of methods depending on character size.
    
    ICC-specific preprocessor directives are added to avoid warnings.
    Unused local functions and variables, unreachable statements, and extra throw() declarations reported by ICC are removed.
    Usage of "expl" for name of local variable is avoided as it conflicts with standard C function "expl" defined in math.h as macro.
    Non-standard (MS-specific) argument envp is removed in definition of main() function on Windows.
(0071655)
kgv (developer)
2017-10-19 20:46

     else
-  return myCurve->DN( U, N);
-    break;
-}
+      return myCurve->DN (U, N);

I would suggest removing "else" here.

 void NCollection_UtfString<Type>::FromUnicode (const TypeFrom*        theStringUtf,
                                                const Standard_Integer theLength)
 {
-  Type* anOldBuffer = myString; // necessary in case of self-copying
   NCollection_UtfIterator<TypeFrom> anIterRead (theStringUtf);
-  if (*anIterRead == 0)
+  if (*anIterRead == 0 || theLength <= 0)
   {
     // special case
     Clear();

This breaks logic, -1 length means length should be automatically determined by NULL-terminating symbol.
(0071656)
git (administrator)
2017-10-20 08:00

Branch CR24574_1 has been updated by abv.

SHA-1: 862c39dc093dee0eb426550cd01c42ee4707088f


Detailed log of new commits:

Author: abv
Date: Fri Oct 20 08:00:43 2017 +0300

    # corrections

(0071657)
git (administrator)
2017-10-20 10:49

Branch CR24574_1 has been updated forcibly by abv.

SHA-1: 66fd4c62baa9eb9fc12a08299a70afce7db1221b
(0071658)
git (administrator)
2017-10-20 11:10

Branch CR24574_1 has been updated forcibly by abv.

SHA-1: b6143b4bf082b6577d092c502b00f17ac7750235
(0071673)
git (administrator)
2017-10-21 16:15

Branch CR24574_1 has been updated by abv.

SHA-1: 7c3d9ecf048ff1aa132c9a8a9cc4ca63f658946f


Detailed log of new commits:

Author: abv
Date: Sat Oct 21 14:44:36 2017 +0300

    # fix for GCC

(0071676)
git (administrator)
2017-10-21 20:59

Branch CR24574_1 has been updated by abv.

SHA-1: 3f498549e89049cb586b71fe98877b2da1dff521


Detailed log of new commits:

Author: abv
Date: Sat Oct 21 20:59:42 2017 +0300

    Doxygen warning is fixed in XDE User's Guide

(0071679)
abv (manager)
2017-10-21 21:54
edited on: 2017-10-21 21:56

Please review branch CR24574_1 -- it should fix ICC warnings as of 2017 version. For the above remark on "else", I prefer to keep it as it makes the code looking more symmetric with respect to the "if" condition. Tests have passed, see Jenkins job CR24574-master.

(0071683)
kgv (developer)
2017-10-21 22:48

Please prepare a new branch with squashed commits.
(0071684)
git (administrator)
2017-10-22 14:28

Branch CR24574_2 has been created by abv.

SHA-1: 413cf4686860ac606dd5fa9b878f6caa6a6cabea


Detailed log of new commits:

Author: abv
Date: Thu Oct 19 17:12:05 2017 +0300

    0024574: ICC compiler warnings on Windows
    
    NCollection_UtfString and NCollection_UtfIterator classes are refactored to use methods overloading instead of switches to dispatch implementation depending on character (Unicode code unit) size.
    
    ICC-specific preprocessor directives are added to avoid warnings.
    Unused local functions and variables, unreachable statements, and extra throw() declarations reported by ICC are removed.
    Usage of "expl" for name of local variable is avoided as it conflicts with standard C function "expl" defined in math.h as preprocessor macro.
    
    Non-standard (MS-specific) argument envp is removed in definition of main() function on Windows.
    Functions _main_ and _WinMain_ are renamed to Draw_Main and Draw_WinMain, respectively, to avoid using names reserved in C++.
    
    Doxygen warning is fixed in XDE User's Guide.
(0071685)
git (administrator)
2017-10-22 14:37

Branch CR24574_2 has been updated forcibly by abv.

SHA-1: d35935b423a7cca46ee4aa183d7f73d5ee2c81b4
(0071686)
abv (manager)
2017-10-22 14:37

Done, please review CR24574_2
(0071687)
kgv (developer)
2017-10-22 17:54

--- a/src/QANCollection/QANCollection_Handle.cxx
+++ b/src/QANCollection/QANCollection_Handle.cxx
@@ -318,7 +318,7 @@ namespace
   class qaclass50_50ANON : public qaclass49_50
   {
   public:
-    qaclass50_50ANON() {}
+//    qaclass50_50ANON() {}

This change is not described in commit description.
(0071688)
git (administrator)
2017-10-22 21:23

Branch CR24574_2 has been updated forcibly by abv.

SHA-1: 3955aaa6a199e0ef441015d5f2a9987e3bafc268
(0071689)
abv (manager)
2017-10-22 21:24

Added:

> Unused local functions and variables, *class methods*, unreachable statements, and extra throw() declarations reported by ICC are removed.
(0071690)
kgv (developer)
2017-10-23 02:27

Please test the patch on extended set of supported compilers.
(0071718)
bugmaster (administrator)
2017-10-23 16:44

There are no difference regarding IR-2017-10-19
http://jenkins-test-08.nnov.opencascade.com/view/CR24574_2_master/view/OCCT%20compile/ [^]
(0071747)
bugmaster (administrator)
2017-10-24 16:07
edited on: 2017-10-24 16:08

Combination -
OCCT branch : CR24574_2 SHA-1: 3955aaa6a199e0ef441015d5f2a9987e3bafc268
Products branch : master
was compiled on Linux, MacOS and Windows platforms and tested on optimize mode on jenkins-test-10 and jenkins-tets-08.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
No differences that require special attention

Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention

(0072066)
git (administrator)
2017-11-08 18:24

Branch CR24574 has been deleted by kgv.

SHA-1: 08f67c6d8d74cd73c1b29f05cfd79538b7f6977c
(0072067)
git (administrator)
2017-11-08 18:24

Branch CR24574_1 has been deleted by kgv.

SHA-1: 3f498549e89049cb586b71fe98877b2da1dff521
(0072068)
git (administrator)
2017-11-08 18:24

Branch CR24574_2 has been deleted by kgv.

SHA-1: 3955aaa6a199e0ef441015d5f2a9987e3bafc268

- Related Changesets
occt: master cf0786da
Timestamp: 2017-10-19 14:12:05
Author: abv
Committer: bugmaster
Details ] Diff ]
0024574: ICC compiler warnings on Windows

NCollection_UtfString and NCollection_UtfIterator classes are refactored to use methods overloading instead of switches to dispatch implementation depending on character (Unicode code unit) size.

ICC-specific preprocessor directives are added to avoid warnings.
Unused local functions and variables, class methods, unreachable statements, and extra throw() declarations reported by ICC are removed.
Usage of "expl" for name of local variable is avoided as it conflicts with standard C function "expl" defined in math.h as preprocessor macro.

Non-standard (MS-specific) argument envp is removed in definition of main() function on Windows.
Functions _main_ and _WinMain_ are renamed to Draw_Main and Draw_WinMain, respectively, to avoid using names reserved in C++.

Doxygen warning is fixed in XDE User's Guide.
mod - dox/user_guides/xde/xde.md Diff ] File ]
mod - src/BRepBuilderAPI/BRepBuilderAPI_Copy.cxx Diff ] File ]
mod - src/BRepTest/BRepTest_Fillet2DCommands.cxx Diff ] File ]
mod - src/DNaming/DNaming.cxx Diff ] File ]
mod - src/Draft/Draft_Modification_1.cxx Diff ] File ]
mod - src/Draw/Draw_Main.cxx Diff ] File ]
mod - src/Draw/Draw_Main.hxx Diff ] File ]
mod - src/Draw/MainWindow.cxx Diff ] File ]
mod - src/GeomAdaptor/GeomAdaptor_Curve.cxx Diff ] File ]
mod - src/Image/Image_Diff.cxx Diff ] File ]
mod - src/NCollection/NCollection_StdAllocator.hxx Diff ] File ]
mod - src/NCollection/NCollection_UtfIterator.hxx Diff ] File ]
mod - src/NCollection/NCollection_UtfIterator.lxx Diff ] File ]
mod - src/NCollection/NCollection_UtfString.hxx Diff ] File ]
mod - src/NCollection/NCollection_UtfString.lxx Diff ] File ]
mod - src/OSD/OSD_Host.cxx Diff ] File ]
mod - src/QABugs/QABugs_11.cxx Diff ] File ]
mod - src/QANCollection/QANCollection_Handle.cxx Diff ] File ]
mod - src/ShapeExtend/ShapeExtend_Explorer.cxx Diff ] File ]
mod - src/Standard/Standard_Atomic.hxx Diff ] File ]
mod - src/TopOpeBRepBuild/TopOpeBRepBuild_VertexInfo.cxx Diff ] File ]
mod - src/XSControl/XSControl_Utils.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2014-01-24 19:19 abv New Issue
2014-01-24 19:19 abv Assigned To => kgv
2014-02-03 09:13 kgv Steps to Reproduce Updated View Revisions
2014-02-03 10:26 abv Steps to Reproduce Updated View Revisions
2014-02-03 10:27 abv Steps to Reproduce Updated View Revisions
2014-02-03 10:28 abv Relationship added parent of 0024588
2014-02-03 10:57 abv Relationship added related to 0024546
2014-04-04 18:16 abv Target Version 6.7.1 => 6.8.0
2014-09-11 10:49 abv Target Version 6.8.0 => 7.0.0
2015-08-25 09:29 kgv Relationship added related to 0026585
2015-09-25 00:24 abv Relationship added related to 0026581
2015-09-25 00:25 abv Note Added: 0046112
2015-09-25 00:25 abv Assigned To kgv => rkv
2015-09-25 00:25 abv Status new => assigned
2015-10-22 18:41 git Note Added: 0047351
2015-10-22 18:43 rkv Assigned To rkv => kgv
2015-10-22 18:43 rkv Status assigned => resolved
2015-10-23 09:02 kgv Note Added: 0047359
2015-10-26 10:03 kgv Status resolved => assigned
2015-11-17 16:59 kgv Target Version 7.0.0 => 7.1.0
2016-11-03 17:07 abv Target Version 7.1.0 => 7.2.0
2017-07-20 11:39 kgv Target Version 7.2.0 => 7.3.0
2017-07-29 12:20 kgv Relationship added related to 0028198
2017-07-29 12:22 kgv Relationship added related to 0028919
2017-07-29 12:23 kgv Relationship deleted related to 0028198
2017-07-29 12:23 kgv Relationship added related to 0026171
2017-07-29 12:26 kgv Relationship added related to 0028918
2017-07-29 12:26 kgv Relationship deleted related to 0028919
2017-10-19 11:28 abv Relationship added related to 0029198
2017-10-19 19:57 git Note Added: 0071654
2017-10-19 20:46 kgv Note Added: 0071655
2017-10-20 08:00 git Note Added: 0071656
2017-10-20 10:49 git Note Added: 0071657
2017-10-20 11:10 git Note Added: 0071658
2017-10-21 16:15 git Note Added: 0071673
2017-10-21 20:59 git Note Added: 0071676
2017-10-21 21:54 abv Note Added: 0071679
2017-10-21 21:54 abv Status assigned => resolved
2017-10-21 21:56 abv Note Edited: 0071679 View Revisions
2017-10-21 22:48 kgv Note Added: 0071683
2017-10-21 22:48 kgv Assigned To kgv => abv
2017-10-21 22:48 kgv Status resolved => assigned
2017-10-21 22:48 kgv Target Version 7.3.0 => 7.4.0*
2017-10-22 14:28 git Note Added: 0071684
2017-10-22 14:37 git Note Added: 0071685
2017-10-22 14:37 abv Note Added: 0071686
2017-10-22 14:37 abv Assigned To abv => kgv
2017-10-22 14:37 abv Status assigned => resolved
2017-10-22 17:54 kgv Note Added: 0071687
2017-10-22 17:54 kgv Assigned To kgv => abv
2017-10-22 17:54 kgv Status resolved => assigned
2017-10-22 21:23 git Note Added: 0071688
2017-10-22 21:24 abv Note Added: 0071689
2017-10-22 21:24 abv Assigned To abv => kgv
2017-10-22 21:24 abv Status assigned => resolved
2017-10-23 02:27 kgv Note Added: 0071690
2017-10-23 02:27 kgv Assigned To kgv => bugmaster
2017-10-23 02:27 kgv Status resolved => reviewed
2017-10-23 16:44 bugmaster Note Added: 0071718
2017-10-24 16:07 bugmaster Note Added: 0071747
2017-10-24 16:07 bugmaster Status reviewed => tested
2017-10-24 16:08 bugmaster Note Edited: 0071747 View Revisions
2017-10-24 18:50 bugmaster Test case number => Not required
2017-10-27 09:54 bugmaster Changeset attached => occt master cf0786da
2017-10-27 09:54 bugmaster Status tested => verified
2017-10-27 09:54 bugmaster Resolution open => fixed
2017-11-08 18:24 git Note Added: 0072066
2017-11-08 18:24 git Note Added: 0072067
2017-11-08 18:24 git Note Added: 0072068
2018-02-20 12:58 user533 Target Version 7.4.0* => 7.3.0
2018-06-29 21:15 user533 Fixed in Version => 7.3.0
2018-06-29 21:19 user533 Status verified => closed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker